Bug 223708 - Closed accounts are not hidden in accounts/categories view
Summary: Closed accounts are not hidden in accounts/categories view
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: git (master)
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-21 21:13 UTC by Thomas Baumgart
Modified: 2021-08-18 03:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Baumgart 2010-01-21 21:13:33 UTC
Version:            (using KDE 4.3.4)
OS:                Linux
Installed from:    openSUSE RPMs

Closed accounts should normally be hidden unless the "Show all accounts" option in the view menu is selected.
Comment 1 Thomas Baumgart 2010-01-21 21:31:05 UTC
Stupid me: I did not have the resp. option turned on. See configure -> general -> filter.
Comment 2 Eleazar 2021-08-15 00:55:14 UTC
I upgraded to Kubuntu 20.04 now all closed account show in Account dropdown in the ledger view and Home Page.

This is happening with App Image Build 876, 928 - 937.
Comment 3 Thomas Baumgart 2021-08-15 05:35:21 UTC
Please check "View/Show all account". Is it marked? Unmark it. If it is not marked and accounts still show, try to mark and unmark it. In case the accounts still show, please report here. 

I just tried build 941 (which does not contain any changes compared to 937) and it works as expected.
Comment 4 Eleazar 2021-08-15 18:07:19 UTC
(In reply to Thomas Baumgart from comment #3)
> Please check "View/Show all account". Is it marked? Unmark it. If it is not
> marked and accounts still show, try to mark and unmark it. In case the
> accounts still show, please report here. 

That was the first thing I did before I reported this error. I opened the settings and saw that it was checked. So I unchecked it clicked on "Ok". I opened the settings again and checked it clicked on "OK" and it still showed it. I restarted my PC and tried again and it still showed it. I tried again but this time I clicked on "Apply" then "Ok" in the sequence and it still did not hide them.



> I just tried build 941 (which does not contain any changes compared to 937)
> and it works as expected.
I can download 941 and tried to see if it works but technically it should make no difference since they are off the same commit.


Console output:
... (normal startup logs)
[0815/120355.174863:WARNING:stack_trace_posix.cc(699)] Failed to open file: /memfd:/.glXXXXXX (deleted)
  Error: No such file or directory
syntax error, unexpected CALENDAR"
"syntax error, unexpected CALENDAR"
"syntax error, unexpected CALENDAR"
"syntax error, unexpected COUNTRY, expecting END"
"syntax error, unexpected COUNTRY, expecting END"
"syntax error, unexpected COUNTRY, expecting END"
"syntax error, unexpected MONTH"
"syntax error, unexpected MONTH"
"syntax error, unexpected MONTH"
applications name:  "937_KMyMoney-5.1.2-1e3df89-x86_64.appimage"
applications name:  "937_KMyMoney-5.1.2-1e3df89-x86_64.appimage"
"applications.menu"  not found in  ("/home/eagleboy/.config/menus", "/etc/xdg/menus") 

Found an 'html' folder with CSS files: "/tmp/.mount_937_KMaRg1Li/usr/bin/../share/kmymoney/html/"
Found an 'html' folder with CSS files: "/tmp/.mount_937_KMaRg1Li/usr/bin/../share/kmymoney/html/"
Comment 5 Eleazar 2021-08-15 18:57:12 UTC
I just tried it with 942 and the results are the same.

I even ran `sudo apt-get build-dep kmymoney` just in case it would make a difference but it did not.
Comment 6 Thomas Baumgart 2021-08-16 11:56:42 UTC
Git commit 51a7a9f77cfaf8d5e9a1123dd2cf387064b9ea3e by Thomas Baumgart.
Committed on 16/08/2021 at 11:56.
Pushed by tbaumgart into branch '5.1'.

Remove hide closed accounts option from config

(cherry picked from commit 445958f5b904db1d8a5a1d9623b082577bc5475a)
FIXED-IN: 5.1.3

M  +0    -10   doc/details-settings.docbook
M  +0    -12   kmymoney/dialogs/settings/ksettingsgeneral.ui
M  +0    -4    kmymoney/settings/kmymoney.kcfg
M  +7    -1    kmymoney/settings/kmymoney.upd
M  +2    -2    kmymoney/views/kaccountsview.cpp
M  +1    -1    kmymoney/views/kcategoriesview.cpp
M  +1    -1    kmymoney/views/kgloballedgerview_p.h
M  +4    -4    kmymoney/views/khomeview_p.h
M  +1    -1    kmymoney/views/kinstitutionsview.cpp
M  +2    -2    kmymoney/views/kinvestmentview_p.h
M  +1    -1    kmymoney/widgets/ktransactionfilter_p.h

https://invent.kde.org/office/kmymoney/commit/51a7a9f77cfaf8d5e9a1123dd2cf387064b9ea3e
Comment 7 Eleazar 2021-08-18 03:21:15 UTC
I downloaded Build 943 and ran it. The "don't show closed accounts" option is no longer available.

I noticed that under view there is an option for "Show all accounts". When I unselected it all closed accounts disappeared. When I selected they all came back.

I am assuming this is the new to show/hide closed accounts.

Thanks for the fix.